#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interface::get_cycle"
  uint32_t Interface::get_cycle (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    uint32_t _return = _nb_cycle;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
